package com.kingdee.eas.custom.synctask.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.synctask.task.*;

public class SynPersonToPunchCardFacade extends AbstractBizCtrl implements ISynPersonToPunchCardFacade
{
    public SynPersonToPunchCardFacade()
    {
        super();
        registerInterface(ISynPersonToPunchCardFacade.class, this);
    }
    public SynPersonToPunchCardFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISynPersonToPunchCardFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E86B4FB3");
    }
    private SynPersonToPunchCardFacadeController getController() throws BOSException
    {
        return (SynPersonToPunchCardFacadeController)getBizController();
    }
    /**
     *更新人员-User defined method
     *@param personNumbers 人员编码（多个逗号隔开）
     */
    public void updatePerson(String personNumbers) throws BOSException, EASBizException
    {
        try {
            getController().updatePerson(getContext(), personNumbers);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *离职人员-User defined method
     *@param personNumbers 人员编码 （多个逗号隔开）
     */
    public void dimissionPerson(String personNumbers) throws BOSException, EASBizException
    {
        try {
            getController().dimissionPerson(getContext(), personNumbers);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *recoverPerson-User defined method
     *@param offSet 天数
     */
    public void recoverPerson(int offSet) throws BOSException, EASBizException
    {
        try {
            getController().recoverPerson(getContext(), offSet);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *初始化人员-User defined method
     */
    public void initializePerson() throws BOSException, EASBizException
    {
        try {
            getController().initializePerson(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步人员恢复-User defined method
     *@param offSet 天数
     *@param personNumber 人员编码（多个用逗号隔开）
     */
    public void synRecoverPerson(int offSet, String personNumber) throws BOSException
    {
        try {
            getController().synRecoverPerson(getContext(), offSet, personNumber);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}